Page MenuHomePhabricator

PowerPC: Fix SPE extloadf32 handling.
ClosedPublic

Authored by jhibbits on Apr 22 2020, 2:01 PM.

Details

Reviewers
lkail
Group Reviewers
Restricted Project
Commits
rG914dbf4808d4: PowerPC: Fix SPE extloadf32 handling.
Summary

The patterns were incorrect copies from the FPU code, and are
unnecessary, since there's no extended load for SPE. Just let LLVM
itself do the work by marking it expand.

Diff Detail

Event Timeline

jhibbits created this revision.Apr 22 2020, 2:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 22 2020, 2:01 PM

Ping again? Since it's a trivial change, and isolated at that, I'm not opposed to post-commit review instead.

lkail accepted this revision.Jul 30 2020, 1:18 AM
lkail added a subscriber: lkail.

LGTM. Might need to rebase.

This revision is now accepted and ready to land.Jul 30 2020, 1:18 AM
This revision was landed with ongoing or failed builds.Jul 31 2020, 8:54 PM
This revision was automatically updated to reflect the committed changes.